HELM(1)

NAME

helm-list - list releases

SYNOPSIS

helm list [flags] [FILTER]

DESCRIPTION

This command lists all of the releases.

By default, it lists only releases that are deployed or failed. Flags like

By default, items are sorted alphabetically. Use the '-d' flag to sort by release date.

If an argument is provided, it will be treated as a filter. Filters are regular expressions (Perl compatible) that are applied to the list of releases. Only items that match the filter will be returned.

    $ helm list 'ara[a-z]+'
    NAME                UPDATED                     CHART
    maudlin-arachnid    Mon May  9 16:07:08 2016    alpine-0.1.0

If no results are found, 'helm list' will exit 0, but with no output (or in the case of no '-q' flag, only headers).

By default, up to 256 items may be returned. To limit this, use the '--max' flag. Setting '--max' to 0 will not return all results. Rather, it will return the server's default, which may be much higher than 256. Pairing the '--max' flag with the '--offset' flag allows you to page through results.

OPTIONS

--all[=false]
    show all releases, not just the ones marked DEPLOYED

-d, --date[=false]
    sort by release date

--deleted[=false]
    show deleted releases

--deleting[=false]
    show releases that are currently being deleted

--deployed[=false]
    show deployed releases. If no other is specified, this will be automatically enabled

--failed[=false]
    show failed releases

-m, --max=256
    maximum number of releases to fetch

--namespace=""
    show releases within a specific namespace

-o, --offset=""
    next release name in the list, used to offset from start value

-r, --reverse[=false]
    reverse the sort order

-q, --short[=false]
    output short (quiet) listing format

--tls[=false]
    enable TLS for request

--tls-ca-cert="$HELM_HOME/ca.pem"
    path to TLS CA certificate file

--tls-cert="$HELM_HOME/cert.pem"
    path to TLS certificate file

--tls-key="$HELM_HOME/key.pem"
    path to TLS key file

--tls-verify[=false]
    enable TLS for request and verify remote

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra